Subject: Re: Announce: ioperm-0.2.1 for cygwin released
From: Marcel Telka <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Jan 2003 21:59:11 +0100

On Mon, Jan 20, 2003 at 08:43:21PM -0000, Max Bowsher wrote:
> Marcel Telka wrote:
> > On Mon, Jan 20, 2003 at 05:57:42PM -0000, Max Bowsher wrote:
> >> Marcel Telka wrote:
> >>> On Mon, Jan 20, 2003 at 10:05:43AM -0500, Christopher Faylor wrote:
> >>>> On Mon, Jan 20, 2003 at 03:57:35PM +0100, Marcel Telka wrote:
> 
> 
> >>>>> This software adds support for ioperm() function to Cygwin.
> >>> 2. Windows DDK is required for the driver compilation.
> >> 2. is likely a problem. Are you aware that w32api has some ddk
> >> support now?
> > Yes. But this is only at .h level. I need a linker (binutils)...
> > I'm unaware about any way to compile & link a device driver using
> > cygwin-only tools :-(
> 
> It is at very least possible to create a null.sys device driver that
> implements a /dev/null-style bitbucket device, entirely with cygwin-only
> tools.
> 
> There is sample code at:
> http://reactos.wox.org/download/ddk-sample.tar.gz

This is really very important. I'll try it ASAP. Thank you!

> 
> I found that the current libntoskrnl.a in w32api-2.1 was too undeveloped to
> support compilation of this sample. However, installing w32api-cvs solved
> that problem.
> 
> 
> Food for thought, anyway. I don't know how mature the mingw ddk is, but its
> probably worth a try.

Thanks.

-- 
+-------------------------------------------+
| Marcel Telka   e-mail:   [email-masked]  |
|                homepage: http://telka.sk/ |
|                jabber:   [email-masked] |
+-------------------------------------------+

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/